Ankündigung

Einklappen
Keine Ankündigung bisher.

Supportthread für UZSU Plugin

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Onkelandy
    antwortet
    Neben Python auch eine Frage der CPU. Nachdem oben was von Python 3.5 steht, brauchst du auch das passende File als cp35 statt cp37.

    Wenn du keinen Raspi hast, bringt ein File von piwheels auch nix.

    Einen Kommentar schreiben:


  • bmx
    antwortet
    Du referenzierst etwas mit ...arm..., können wir daraus schliessen, das Du einen Raspi hast?

    * Scipy will mit Version 1.5.x ein Python >= 3.6 haben.
    * Scipy 1.4.1 begnügt sich mit Python >= 3.5
    * Numpy 1.18.x erlaubt wohl Python >= 3.5
    * Numpy 1.19.x möchte wohl Python >= 3.6 haben.

    Vielleicht kann die Doku hier weiterhelfen
    Zuletzt geändert von bmx; 22.08.2020, 14:31.

    Einen Kommentar schreiben:


  • Cannon
    antwortet
    Leider scheitert es schon an der Vorbereitung:

    Code:
    sudo pip3 install -r plugins/uzsu/requirements.txt
    gibt eine Fehlermeldung aus:

    Code:
    sudo pip3 install -r plugins/uzsu/requirements.txt
    Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
    Requirement already satisfied: numpy in /usr/local/lib/python3.5/dist-packages ( from -r plugins/uzsu/requirements.txt (line 1)) (1.18.4)
    Collecting scipy>=1.1.0
    Using cached scipy-1.4.1.tar.gz (24.6 MB)
    Installing build dependencies ... done
    Getting requirements to build wheel ... done
    Preparing wheel metadata ... error
    ERROR: Command errored out with exit status 1:
    command: /usr/bin/python3 /usr/local/lib/python3.5/dist-packages/pip/_vendo r/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpf6iwftds
    cwd: /tmp/pip-install-evddsh79/scipy
    Complete output (56 lines):
    setup.py:420: UserWarning: Unrecognized setuptools command ('dist_info --egg -base /tmp/pip-modern-metadata-09w0r0wz'), proceeding with generating Cython sou rces and expanding templates
    ' '.join(sys.argv[1:])))
    Traceback (most recent call last):
    File "/usr/local/lib/python3.5/dist-packages/numpy/core/__init__.py", line 24, in <module>
    from . import multiarray
    File "/usr/local/lib/python3.5/dist-packages/numpy/core/multiarray.py", li ne 14, in <module>
    from . import overrides
    File "/usr/local/lib/python3.5/dist-packages/numpy/core/overrides.py", lin e 7, in <module>
    from numpy.core._multiarray_umath import (
    ImportError: /usr/local/lib/python3.5/dist-packages/numpy/core/_multiarray_u math.cpython-35m-arm-linux-gnueabihf.so: undefined symbol: cblas_sgemm
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
    File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_proces s.py", line 280, in <module>
    main()
    File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_proces s.py", line 263, in main
    json_out['return_val'] = hook(**hook_input['kwargs'])
    File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_proces s.py", line 133, in prepare_metadata_for_build_wheel
    return hook(metadata_directory, config_settings)
    File "/tmp/pip-build-env-hylljqr1/overlay/lib/python3.5/site-packages/setu ptools/build_meta.py", line 174, in prepare_metadata_for_build_wheel
    self.run_setup()
    File "/tmp/pip-build-env-hylljqr1/overlay/lib/python3.5/site-packages/setu ptools/build_meta.py", line 267, in run_setup
    self).run_setup(setup_script=setup_script)
    File "/tmp/pip-build-env-hylljqr1/overlay/lib/python3.5/site-packages/setu ptools/build_meta.py", line 158, in run_setup
    exec(compile(code, __file__, 'exec'), locals())
    File "setup.py", line 540, in <module>
    setup_package()
    File "setup.py", line 516, in setup_package
    from numpy.distutils.core import setup
    File "/usr/local/lib/python3.5/dist-packages/numpy/__init__.py", line 142, in <module>
    from . import core
    File "/usr/local/lib/python3.5/dist-packages/numpy/core/__init__.py", line 50, in <module>
    raise ImportError(msg)
    ImportError:
    
    IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!
    
    Importing the numpy C-extensions failed. This error can happen for
    many reasons, often due to issues with your setup or how NumPy was
    installed.
    
    We have compiled some common reasons and troubleshooting tips at:
    
    https://numpy.org/devdocs/user/troubleshooting-importerror.html
    
    Please note and check the following:
    
    * The Python version is: Python3.5 from "/usr/bin/python3"
    * The NumPy version is: "1.18.4"
    
    and make sure that they are the versions you expect.
    Please carefully study the documentation linked above for further help.
    
    Original error was: /usr/local/lib/python3.5/dist-packages/numpy/core/_multi array_umath.cpython-35m-arm-linux-gnueabihf.so: undefined symbol: cblas_sgemm
    
    ----------------------------------------
    ERROR: Command errored out with exit status 1: /usr/bin/python3 /usr/local/lib/p ython3.5/dist-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_bu ild_wheel /tmp/tmpf6iwftds Check the logs for full command output.

    So richtig, kann ich den Fehler nicht nachvollziehen. Auch eine manuelle Installation von scipy bringt eine Fehlermeldung, dabei spielt es keine Rolle, welche Version ich installiere, die Fehlermeldung kommt immer:

    Code:
    sudo pip3 install scipy-1.5.1-cp37-cp37m-linux_armv7l.whl
    WARNING: Requirement 'scipy-1.5.1-cp37-cp37m-linux_armv7l.whl' looks like a filename, but the file does not exist
    Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
    ERROR: scipy-1.5.1-cp37-cp37m-linux_armv7l.whl is not a supported wheel on this platform.


    Einen Kommentar schreiben:


  • Sisamiwe
    antwortet
    Zitat von Onkelandy Beitrag anzeigen
    Da steht auch uszu statt uzsu. Alter Klassiker
    kaum schreibt man es richtig, geht es auch

    Einen Kommentar schreiben:


  • Onkelandy
    antwortet
    Da steht auch uszu statt uzsu. Alter Klassiker

    Einen Kommentar schreiben:


  • Sisamiwe
    antwortet
    Zitat von Msinn Beitrag anzeigen
    Setz mal das struct Attribut hinter uzsu:
    #
    Hatte ich schon probiert.

    Konfig:
    Code:
    rollladen:
        eg:
            alle:
                type: foo
                uszu:
                    uzsu_item: ...move
                struct: uzsu.child
            move:
                type: bool
                visu_acl: rw
    Gleiches Ergebnis:

    Auszug aus Admin-Interface:
    uzsu_item rollladen.eg.alle
    visu_acl rw

    Einen Kommentar schreiben:


  • Msinn
    antwortet
    Setz mal das struct Attribut hinter uzsu:

    Code:
    rollladen:
        eg:
            alle:
                type: foo
                uszu:
                    uzsu_item: ...move
                struct: uzsu.child
            move:
                type: bool
                visu_acl: rw

    Einen Kommentar schreiben:


  • Sisamiwe
    antwortet
    Hallo,

    ich nutze das struct, welches das Plugin mitbringt, um alle meine UZSU zu definieren. Bislang auch nur in der Standardkonfiguration, also ohne die Attributwerte nachträglich zu überschreiben.

    Nun habe ich einen Anwendungsfall, bei dem sich das uzsu_item vom Standard (..) unterscheidet.

    Meine Konfig sieht so aus:
    Code:
    rollladen:
        eg:
            alle:
                type: foo
                struct: uzsu.child
                uszu:
                    uzsu_item: ...move
            move:
                type: bool
                visu_acl: rw
    Ich möchte also die UZSU unter dem Item "rollladen.eg.alle" anlegen, das zu schaltende Item soll dann aber nicht "rollladen.eg.alle" sein, wie es der Standard mit ".." ergibt, sondern "rollladen.eg.alle.move".

    shNG übernimmt aber das Überschreiben des Attributewertes nach Auflösen des structs nicht. Es bleibt immer beim Standard.
    Hat das schon jemand mal probiert?

    Danke für die Rückmeldung.

    Einen Kommentar schreiben:

  • franzmm
    Forums-Einsteiger

  • franzmm
    antwortet
    Servus,

    vielen Dank für Deine Bemühungen!
    Ja, ich denke es wäre auf jeden Fall besser nicht über die Tagesgrenze hinauszugehen (evtl. auch am min-Wert?), bevor der Schaltzeitpunkt evtl. ja dann im schlimmsten Fall erst Wochen/Monate später erfolgen würde. Wegen mir drängt das aber nicht, ich werde den Offset einfach entsprechend verringern, ist unkritisch.

    Gruß
    Franz

    Einen Kommentar schreiben:


  • Onkelandy
    antwortet
    Hi!
    Ich hab das Problem bei mir repliziert.
    Problem a) mit einem min/max dazu kommt der von dir angegebene Fehler.
    Problem b) imho noch schwerwiegender - ohne minx/max wird die UZSU wohl erst an einem sehr späten Tag geschaltet, an dem der Zeitpunkt sunset+X Minuten vor Mitternacht liegt.

    Ich denke, es macht Sinn, per se nicht über die Tagesgrenze hinauszugehen und quasi einen automatischen max-Wert von 23:59 zu integrieren, oder?

    Einen Kommentar schreiben:

  • franzmm
    Forums-Einsteiger

  • franzmm
    antwortet
    Danke für die schnelle Antwort!

    Es kommt seit dem 30.5. täglich (vorher kann ich leider nicht mehr sagen), auch heute, wenn ich den offset über smartVisu ändere und dieser >= 173 Minuten beträgt, bis 172 kommt die Meldung nicht, das passt dann allerdings auch nicht ganz mit meiner Theorie zusammen, aktuell ist sunset um 21:10, plus die 173 wäre ja schon 23:53?

    Viele Grüße
    Franz

    Einen Kommentar schreiben:


  • Onkelandy
    antwortet
    kommt das täglich oder nur beim monatswechsel? wrong syntax kannst ignorieren. problem ist wohl das mit nächstem tag...

    Einen Kommentar schreiben:

  • franzmm
    Forums-Einsteiger

  • franzmm
    antwortet
    Hallo zusammen,

    ich bekomme seit ein paar Tagen einen Fehler von der uzsu im log geliefert:
    Code:
    2020-06-02 23:50:00 ERROR plugins.uzsu Problems assigning dmin: day is out of range for month. Wrong syntax: 18:00<sunset+210m<23:50. Should be [H:M<](sunrise|sunset)[+|-][offset][<H:M]
    2020-06-02 23:50:00 ERROR plugins.uzsu Error '18:00<sunset+210m<23:50' parsing time: 'NoneType' object has no attribute 'strftime'
    Das passiert wohl, seit sunset+210m nach Mitternacht liegt.
    Die obere Grenze (23:50) habe ich angegeben, weil ich befürchtet habe, dass es zu Problemen kommen kann, wenn eben der Schaltzeitpunkt nach Mitternacht liegt. Ist diese Vermutung richtig, oder ist die obere Grenze nicht nötig? Die untere Grenze (18:00) habe ich dann testweise angegeben, falls bei oberer Grenze auch eine untere angegeben werden muss (das stimmt vermutlich aber nicht)
    Das uszu Item wurde über das popup Widget aus der smartVisu (2.9) beschrieben und sieht eigentlich richtig aus (insbesondere die angemerkte 'wrong syntax' müsste doch eigentlich korrekt sein, oder?):
    Code:
    {'interpolation': {'type': 'none', 'initialized': False, 'itemtype': 'bool', 'interval': '', 'initage': ''}, 'list': [{'active': True, 'rrule': 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR,SA,SU', 'value': '1', 'calculated': '21:40', 'time': 'sunset+30m'}, {'active': True, 'rrule': 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR,SA,SU', 'value': '0', 'calculated': '23:50', 'time': '18:00<sunset+210m<23:50'}], 'active': True, 'lastvalue': '0', 'sunrise': '05:10', 'sunset': '21:10'}
    Sh Version ist 1.7.1, uzsu 1.5.3, müsste also alles aktuell sein und wurde nach Anleitung auf einem docker container installiert.

    Viele Grüße
    Franz

    Einen Kommentar schreiben:


  • pino
    antwortet
    Na ja guter Tip, fehler war , das die libadlas noch nicht da war also install gemach und uzsu geht.
    Danke

    Einen Kommentar schreiben:

  • Gatzman
    Forums-Einsteiger

  • Gatzman
    antwortet
    Schau mal hier:

    https://knx-user-forum.de/forum/supp...zsu-nicht-mehr

    Einen Kommentar schreiben:

Lädt...
X